%{?nodejs_find_provides_and_requires}

%global packagename localforage

Name: nodejs-%{packagename}
Version: 1.4.2
Release: 1%{?dist}.3
Summary: Offline storage, improved
License: Apache-2.0
URL: https://github.com/mozilla/localForage
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(lie) >= 3.0.2
BuildRequires: npm(lie) < 4.0.0

%description
localForage is a fast and simple storage library for JavaScript. localForage
improves the offline experience of your web app by using asynchronous storage
(IndexedDB or WebSQL) with a simple, `localStorage`-like API.

localForage uses localStorage in browsers with no IndexedDB or
WebSQL support. See the wiki for detailed compatibility info.


%prep
%setup -q -n package
%nodejs_fixdep lie '^3.0.2'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js dist src \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md docs examples
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 1.4.2-1
- Initial package.
